#include <stdio.h> 

int main(){
        int n,cj,cd,cs,ch,broj=0; 
        scanf("%d",&n);
	
	if(n<=0 || n>9999 || (n>0 && n<1000)){
	        printf("-1\n"); 
		return 0;
	}
	
	cj=n%10;
	cd=(n/10)%10;
	cs=(n/100)%10;
	ch=(n/1000)%10;
	
	if(cj%2!=0){
	        cj=cj-1;
		broj=broj+cj;
	}else
                broj=broj+cj;
	
	if(cd%2!=0){
	        cd=cd-1;
	        broj=broj+cd*10;
	}else
	        broj=broj+cd*10;
	
	if(cs%2!=0){
                cs=cs-1;
		broj=broj+cs*100;
	}else
	        broj=broj+cs*100;
	
	if(ch%2!=0){
	        ch=ch-1;
		broj=broj+ch*1000;
	}else
	        broj=broj+ch*1000;
	
	printf("%d\n",broj);
	
	return 0;
}